<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Fast API JWT Token</title>
</head>
<body>
    <h1>Hello World</h1>

    <form method="post" action="/api/register">
        <label for="nombre">
            <span>Nombre</span>
            <input name="name" type="text" required id="name" placeholder="Tu nombre">
        </label>
        <label for="email">
            <span>Email</span>
            <input name="email" type="text" required id="email" placeholder="user@example.com">
        </label>
        <label for="password">
            <span>Contraseña</span>
            <input name="password" type="password" required id="password">
        </label>

        <input type="submit" value="Registrarse">
    </form>

    <form method="post", action="/api/login">
        <label for="email">
            <span>Email</span>
            <input name="email" type="text" required id="email" placeholder="user@example.com">
        </label>
        <label for="password">
            <span>Contraseña</span>
            <input name="password" type="password" required id="password">
        </label>

        <input type="submit" value="Iniciar Sesion">
    </form>

    <a href="/protected">Protected Route</a>
    <button onclick="EraseCookie()">Eliminar Cookie De Autentificación</button>

    <script type="text/javascript">
        function EraseCookie() {
            document.cookie = 'x-access-token =; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;'
        }
    </script>
</body>
</html>